공급자 정보 수정
curl --request PUT \
--url https://meterengine.com/v1/organization/supplier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_address": "<string>",
"business_registration_number": "<string>",
"representative_name": "<string>"
}
'const url = 'https://meterengine.com/v1/organization/supplier';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_address: '<string>',
business_registration_number: '<string>',
representative_name: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"business_address": "<string>",
"business_registration_number": "<string>",
"representative_name": "<string>"
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}도입사 정보
공급자 정보 수정
PUT
/
v1
/
organization
/
supplier
공급자 정보 수정
curl --request PUT \
--url https://meterengine.com/v1/organization/supplier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_address": "<string>",
"business_registration_number": "<string>",
"representative_name": "<string>"
}
'const url = 'https://meterengine.com/v1/organization/supplier';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_address: '<string>',
business_registration_number: '<string>',
representative_name: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"business_address": "<string>",
"business_registration_number": "<string>",
"representative_name": "<string>"
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
application/json